package chapter39;

class FahrenheitToCelsius {
  public double temperature;

  //Define the constructor
  public FahrenheitToCelsius(double value) throws Exception  { 
    this.setTemperature(value);   //Use a method to set the value of the field temperature
  }

  //This method gets the temperature
  public double getTemperature() {
    return 5.0 / 9.0 * (this.temperature - 32.0);
  }

  //This method sets the temperature
  public void setTemperature(double value) throws Exception { 
    if (value >= -459.67) {
      this.temperature = value;
    }
    else {
      throw new Exception("There is no temperature below -459.67");
    }
  }
}

public class Class_39_5b {
  public static void main(String[] args) throws Exception {
    FahrenheitToCelsius x = new FahrenheitToCelsius(-500);  //Create object x
    System.out.println(x.getTemperature());
  }
}
