package chapter39;

class SchoolMember {
  public String name;
  public int age;

  //Define the constructor
  public SchoolMember(String name, int age) {
    this.name = name;
    this.age = age;
    System.out.println("A school member was initialized");
  }
}

class Teacher extends SchoolMember {
  public double salary;  //This is an additional field for class Teacher

  //Define the constructor
  public Teacher(String name, int age, double salary) {
    super(name, age);  //Call the constructor of the class SchoolMember
    this.salary = salary; 
    System.out.println("A teacher was initialized");
  }
}

class Student extends SchoolMember {
  public int[] grades = new int[3];  //This is an additional field for class Student

  //Define the constructor
  public Student(String name, int age, int[] grades) {
    super(name, age);  //Call the constructor of the class SchoolMember
    this.grades = grades;
    System.out.println("A student was initialized");
  }
}

public class Class_39_7 {
  public static void main(String[] args) {
    Teacher teacher1 = new Teacher("Mr. John Scott", 43, 35000);
    Teacher teacher2 = new Teacher("Mrs. Ann Carter", 5, 32000);

    Student student1 = new Student("Mark Nelson", 14, new int[] {90, 95, 92});
    Student student2 = new Student("Mary Morgan", 13, new int[] {92, 97, 94});

    System.out.println(teacher1.name);
    System.out.println(teacher1.age);
    System.out.println(teacher1.salary);

    System.out.println(student2.name);
    System.out.println(student2.age);
    for (int grade : student2.grades) {
      System.out.println(grade);
    }
  }
}

