package chapter30;

import java.util.*;

public class Class_30_4_7 {

  static Scanner cin = new Scanner(System.in);

  static final double ACCURACY = 0.0000000000001;
  
  public static void main(String[] args) {
    double y, guess;
  
    System.out.print("Enter a non-negative number: ");
    y = Double.parseDouble(cin.nextLine());
    while (y < 0) {
      System.out.println("Invalid value. Enter a non-negative number: ");
      y = Double.parseDouble(cin.nextLine());
    }
    
    guess = 1 + (Math.random() * y);  //Make a random first guess between 1 and given value
  
    while (Math.abs(guess * guess - y) > ACCURACY) { //Is it "close enough"?
      guess = (guess + y / guess) / 2;    //No, create a new "guess"!
    }
    System.out.println(guess);
  }
  
}
