package chapter34;

import java.util.*;

public class Class_34_2_3 {

  static Scanner cin = new Scanner(System.in);

  static final int ELEMENTS = 20;
  
  public static void main(String[] args) {
    int i;
    boolean failure;
    double x;
  
    int[] odds = new int[ELEMENTS];
    
    for (i = 0; i <= ELEMENTS - 1; i++) {
      do {
        System.out.print("Enter an odd positive integer: ");
        x = Double.parseDouble(cin.nextLine());
        failure = false; 
        if (x <= 0) {
          System.out.println("Invalid value: Non-positive entered!");
          failure = true; 
        }
        else if (x != (int)x) {
          System.out.println("Invalid value: Float entered!");
          failure = true;
        }
        else if (x % 2 == 0) {
          System.out.println("Invalid value: Even entered!");
          failure = true;
        }
      } while (failure);
      odds[i] = (int)x;
    }
  
    //Display elements backwards
    for (i = ELEMENTS - 1; i >= 0; i--) {
      System.out.print(odds[i] + "\t");
    }
  }
  
}
