package chapter34;

import java.util.*;

public class Class_34_4_11 {

  static Scanner cin = new Scanner(System.in);

  static final int CARS = 10;
  static final int LAPS = 20;
  
  public static void main(String[] args) {
    int i, j, m, n;
    double element;
  
    //Read names and elapsed times all together
    String[] names = new String[CARS];
    double[][] elapsed_times = new double[CARS][LAPS];
    for (i = 0; i <= CARS - 1; i++) {
      System.out.print("Enter name for driver No. " + (i + 1) + ": ");
      names[i] = cin.nextLine();
      for (j = 0; j <= LAPS - 1; j++) {
        System.out.print("Enter elapsed time for lap No. " + (j + 1) + ": ");
        elapsed_times[i][j] = Double.parseDouble(cin.nextLine());
      }
    }
  
    //Sort array elapsed_times
    for (i = 0; i <= CARS - 1; i++) {
      for (m = 1; m <= LAPS - 1; m++) {
        element = elapsed_times[i][m];
        n = m;
        while (n > 0 && elapsed_times[i][n - 1] < element) {
          elapsed_times[i][n] = elapsed_times[i][n - 1];
          n--;
        }
        elapsed_times[i][n] = element;
      }
    }
  
    //Display 3 worst elapsed times
    for (i = 0; i <= CARS - 1; i++) {
      System.out.println("Worst elapsed times of " + names[i]);
      System.out.println("-----------------------------------");
      for (j = 0; j <= 2; j++) {
        System.out.println(elapsed_times[i][j]);
      }
    }
  }
  
}
