package chapter34;

import java.util.*;

public class Class_34_5_7 {

  static Scanner cin = new Scanner(System.in);

  static final int CITIES = 10;
  static final int CITIZENS = 30;
    
  public static void main(String[] args) {
    int i, j, position_i, position_j;
    boolean found;
    String needle;
  
    String[][] phone_num = new String[CITIES][CITIZENS];
    String[][] ans = new String[CITIES][CITIZENS];
    for (i = 0; i <= CITIES - 1; i++) {
      System.out.println("City No. " + (i + 1));
      for (j = 0; j <= CITIZENS - 1; j++) {
        System.out.print("Enter phone number of citizen No. " + (j + 1) + ": ");
        phone_num[i][j] = cin.nextLine();
        
        System.out.print("Enter the answer of citizen No. " + (j + 1) + ": ");
        ans[i][j] = cin.nextLine().toUpperCase();
        while (!ans[i][j].equals("Y") && !ans[i][j].equals("N") && !ans[i][j].equals("S")) {
          System.out.print("Wrong answer. Enter a valid one: ");
          ans[i][j] = cin.nextLine().toUpperCase();
        }
      }
    }
  
    System.out.print("Enter a phone number to search: ");
    needle = cin.nextLine();
  
    found = false;
    position_i = -1;
    position_j = -1;      
    for (i = 0; i <= CITIES - 1; i++) {
      for (j = 0; j <= CITIZENS - 1; j++) {
        if (phone_num[i][j].equals(needle)) { //If it is found
          found = true;
          position_i = i; //Keep row index where needle was found
          position_j = j; //Keep column index where needle was found
          break;  //Exit the inner loop 
        }
      }
      if (found) 
        break;  //If it is found, exit the outer loop as well 
    }
    
    if (!found) {
      System.out.println("Phone number not found!");
    }
    else {
      System.out.print("Phone number " + phone_num[position_i][position_j] + " gave '");
  
      switch (ans[position_i][position_j]) {
        case "Y":
          System.out.print("Yes");
          break;
        case "N":
          System.out.print("No");
          break;
        default:
          System.out.print("Sometimes");
      }
  
      System.out.println("' as an answer");
    }
  }
  
}
