package chapter34;

import java.util.*;

public class Class_34_6_5 {

  static Scanner cin = new Scanner(System.in);

  static final int ATHLETES = 20;
  static final int SHOTS = 6;
  
  public static void main(String[] args) {
    int i, j, m, n, temp;
    String temp_str;
  
    //Read array names and points
    String[] names = new String[ATHLETES];
    int[][] points = new int[ATHLETES][SHOTS];
    for (i = 0; i <= ATHLETES - 1; i++) {
      System.out.print("Enter name for athlete No. " + (i + 1) + ": ");
      names[i] = cin.nextLine();
      for (j = 0; j <= SHOTS - 1; j++) {
        System.out.print("Enter points for shot No. " + (j + 1) + ": ");
        points[i][j] = Integer.parseInt(cin.nextLine());
      }
    }
    
    //Create array total
    int[]total = new int[ATHLETES];
    for (i = 0; i <= ATHLETES - 1; i++) {
      total[i] = 0;
      for (j = 0; j <= SHOTS - 1; j++) {
        total[i] += points[i][j];
      }
    }
  
    //Sort arrays names and total. Perform only 3 passes
    for (m = 1; m <= 3; m++) {
      for (n = ATHLETES - 1; n >= m; n--) {
        if (total[n] > total[n - 1]) {
          temp = total[n];
          total[n] = total[n - 1];
          total[n - 1] = temp;
  
          temp_str = names[n];
          names[n] = names[n - 1];
          names[n - 1] = temp_str;
        }
      }
    }
    
    //Display gold, silver and bronze metal
    for (i = 0; i <= 2; i++) {
      System.out.println(names[i] + "\t" + total[i]);
    }
  }
  
}
