package chapter39;

import java.util.*;

class DoingMath {
  private void square(double x) {  //Argument x accepts passed value
    System.out.println("The square of " + x + " is " + (x * x));
  }

  private void square_root(double x) {    //Argument x accepts passed value
    if (x < 0) {
      System.out.println("Cannot calculate square root");
    }
    else {
      System.out.println("Square root of " + x + " is " + Math.sqrt(x));
    }
  }

  public void display_results(double x) {    //Argument x accepts passed value
    this.square(x);
    this.square_root(x);
  }
}

public class Class_39_6_1 {
  static Scanner cin = new Scanner(System.in);

  public static void main(String[] args) {
    double b;

    DoingMath dm = new DoingMath();

    System.out.print("Enter a number: ");
    b = Double.parseDouble(cin.nextLine());
    dm.display_results(b);
  }
}
