package chapter33;

import java.util.*;

public class Class_33_4_2a {

  static Scanner cin = new Scanner(System.in);

  static final int STUDENTS = 10;
  static final int LESSONS = 5;
    
  public static void main(String[] args) {
    int i, j;
  
    //Read names and grades all together. Iterate through rows in array grades
    String[] names = new String[STUDENTS];
    int[][] grades = new int[STUDENTS][LESSONS];
    for (i = 0; i <= STUDENTS - 1; i++) {
      System.out.print("Enter name for student No. " + (i + 1) + ": ");
      names[i] = cin.nextLine();
      for (j = 0; j <= LESSONS - 1; j++) {
        System.out.print("Enter grade No. " + (j + 1) + " for " + names[i] + ": ");
        grades[i][j] = Integer.parseInt(cin.nextLine());
      }
    }
  
    //Create array count. Iterate through rows
    int[] count = new int[STUDENTS];
    for (i = 0; i <= STUDENTS - 1; i++) {
      count[i] = 0;
      for (j = 0; j <= LESSONS - 1; j++) {
        if (grades[i][j] > 89) {
          count[i]++;
        }
      }
    }
    
    //Displays the names of the students who have more than one grade greater than 89
    for (i = 0; i <= STUDENTS - 1; i++) {
      if (count[i] > 1) {
        System.out.println(names[i]);
      }
    }
  }
  
}
