package chapter33;

import java.util.*;

public class Class_33_4_2b {

  static Scanner cin = new Scanner(System.in);

  static final int STUDENTS = 10;
  static final int LESSONS = 5;
  
  public static void main(String[] args) {
    int i, j;
  
    //Read names and grades together. Iterate through columns in array grades
    String[] names = new String[STUDENTS];
    int[][] grades = new int[LESSONS][STUDENTS];
    for (j = 0; j <= STUDENTS - 1; j++) {
      System.out.print("Enter name for student No. " + (j + 1) + ": ");
      names[j] = cin.nextLine();
      for (i = 0; i <= LESSONS - 1; i++) {
        System.out.print("Enter grade No. " + (i + 1) + " for " + names[j] + ": ");
        grades[i][j] = Integer.parseInt(cin.nextLine());
      }
    }
  
    //Create array count. Iterate through columns
    int[] count = new int[STUDENTS];
    for (j = 0; j <= STUDENTS - 1; j++) {
      count[j] = 0;
      for (i = 0; i <= LESSONS - 1; i++) {
        if (grades[i][j] > 89) {
          count[j]++;
        }
      }
    }
  
    //Displays the names of the students who have more than one grade greater than 89
    for (j = 0; j <= STUDENTS - 1; j++) {
      if (count[j] > 1) {
        System.out.println(names[j]);
      }
    }
  }
  
}
