package chapter34;

import java.util.*;

public class Class_34_3_4 {

  static Scanner cin = new Scanner(System.in);

  static final int STUDENTS = 100;
  
  public static void main(String[] args) {
    int i, maximum;
  
    String[] names = new String[STUDENTS];
    int[] grades = new int[STUDENTS];
    for (i = 0; i <= STUDENTS - 1; i++) {
      //Prompt the user to enter a name and validate it.
      System.out.print("Enter name for student No " + (i + 1) + ": ");
      names[i] = cin.nextLine();
      while (names[i].equals("")) {
        System.out.println("Error! Name cannot be empty!");
        System.out.print("Enter name for student No " + (i + 1) + ": ");
        names[i] = cin.nextLine();      
      }
      
      //Prompt the user to enter a grade and validate it.
      System.out.print("Enter his or her grade: ");
      grades[i] = Integer.parseInt(cin.nextLine());
      while (grades[i] < 0 || grades[i] > 100) {
        System.out.println("Invalid value!");
        System.out.print("Enter his or her grade: ");
        grades[i] = Integer.parseInt(cin.nextLine());
      }
    }
    
    //Find the greatest grade
    maximum = grades[0];
    for (i = 1; i <= STUDENTS - 1; i++) {
      if (grades[i] > maximum) {
        maximum = grades[i];
      }
    }
    
    //Displays the names of all those who share the one greatest grade
    System.out.println("The following students have got the greatest grade:");
    for (i = 0; i <= STUDENTS - 1; i++) {
      if (grades[i] == maximum) {
        System.out.println(names[i]);
      }
    }
  }
  
}
