package chapter34;

import java.util.*;

public class Class_34_4_7 {

  static Scanner cin = new Scanner(System.in);

  static final int TEAMS = 32;
  static final int PLAYERS = 24;
  
  public static void main(String[] args) {
    int i, j, m, n, temp;
    boolean swaps;
    String temp_str;
  
    //Read team names, player names and goals all together
    String[] t = new String[TEAMS];
    String[][] p = new String[TEAMS][PLAYERS];
    int[][] g = new int[TEAMS][PLAYERS];
    for (i = 0; i <= TEAMS - 1; i++) {
      System.out.println("Enter name for team No. " + (i + 1) + ": ");
      t[i] = cin.nextLine();
      for (j = 0; j <= PLAYERS - 1; j++) {
        System.out.println("Enter name of player No. " + (j + 1) + ": ");
        p[i][j] = cin.nextLine();
        System.out.println("Enter goals of player No. " + (j + 1) + ": ");
        g[i][j] = Integer.parseInt(cin.nextLine());
      }
    }
    
    //Sort array g
    for (i = 0; i <= TEAMS - 1; i++) {
      for (m = 1; m <= PLAYERS - 1; m++) {
        swaps = false;
        for (n = PLAYERS - 1; n >= m; n--) {
          if (g[i][n] > g[i][n - 1]) {
            temp = g[i][n];
            g[i][n] = g[i][n - 1];
            g[i][n - 1] = temp;
  
            temp_str = p[i][n];
            p[i][n] = p[i][n - 1];
            p[i][n - 1] = temp_str;
          }
        }
        if (!swaps) break;
      }
    }
  
    //Display 5 best scorers of each team
    for (i = 0; i <= TEAMS - 1; i++) {
      System.out.println("Best scorers of " + t[i]);
      System.out.println("-----------------------------------");
      for (j = 0; j <= 4; j++) {
        System.out.println(p[i][j] + " scored " + g[i][j] + " goals");
      }
    }
  }
  
}
