package chapter37;

import java.util.*;

public class Class_37_7b {

  static Scanner cin = new Scanner(System.in);

  static String part1(int i) {
    String gender, temp1;
    
    do {
      System.out.print("Enter gender for citizen No " + i + ": ");
      temp1 = cin.nextLine();
      gender = temp1.toLowerCase(); 
    } while (!gender.equals("male") && !gender.equals("female"));
  
    return gender;
  }
  
  static String part2() {
    String temp2, answer;
    
    do {
      System.out.print("Do you go jogging in the afternoon? ");
      temp2 = cin.nextLine(); 
      answer = temp2.toLowerCase();
    } while (!answer.equals("yes") && !answer.equals("no") && !answer.equals("sometimes"));
  
    return answer;
  }
  
  static void part3(int total_yes, int female_no) {    
    System.out.println("Total positive answers: " + total_yes);
    System.out.println("Women's negative answers: " + female_no);
  }
  
  public static void main(String[] args) {
    int i, total_yes, female_no;
    String gender, answer;
  
    total_yes = 0;
    female_no = 0;
    for (i = 1; i <= 100; i++) {
      gender = part1(i);
      answer = part2();
      
      if (answer.equals("yes")) {
        total_yes++;
      }
  
      if (gender.equals("female") && answer.equals("no")) {
        female_no++;
      }
    }
    
    part3(total_yes, female_no);
  }
  
}
