package chapter38;

import java.util.*;

public class Class_38_1_4 {

  static Scanner cin = new Scanner(System.in);

  static void display_menu() {
    System.out.println("1. Convert USD to Euro (EUR)");
    System.out.println("2. Convert USD to British Pound Sterling (GBP)");
    System.out.println("3. Convert USD to Japanese Yen (JPY)");
    System.out.println("4. Convert USD to Canadian Dollar (CAD)");
    System.out.println("5. Exit");
    System.out.println("-------------------------");
    System.out.print("Enter a choice: ");
  }
  
  static double USD_to_EU(double value) {
    return value * 0.87;
  }
  
  static double USD_to_GBP(double value) {
    return value * 0.78;
  } 
  
  static double USD_to_JPY(double value) {
    return value * 108.55;
  } 
  
  static double USD_to_CAD(double value) {
    return value * 1.33;
  } 
    
  public static void main(String[] args) {
    int choice;
    double amount;
  
    display_menu();
    choice = Integer.parseInt(cin.nextLine());
    while (choice != 5) {
      System.out.print("Enter an amount in US dollars: ");
      amount = Double.parseDouble(cin.nextLine());
      switch (choice) {
        case 1:
          System.out.println(amount+" USD = " + USD_to_EU(amount) + " Euro");
          break;
        case 2:
          System.out.println(amount+" USD = " + USD_to_GBP(amount) + " GBP");
          break;
        case 3:
          System.out.println(amount+" USD = " + USD_to_JPY(amount) + " JPY");
          break;
        case 4:
          System.out.println(amount+" USD = " + USD_to_CAD(amount) + " CAD");
          break;
      }
      
      display_menu();
      choice = Integer.parseInt(cin.nextLine());
    }
  }
  
}
