package chapter38;

import java.util.*;

public class Class_38_2_1 {

  static Scanner cin = new Scanner(System.in);

  static final int PEOPLE = 50;
  
  static int get_age() {
    int age;
  
    System.out.print("Enter an age: ");
    age = Integer.parseInt(cin.nextLine());
    while (age <= 0) {
      System.out.print("Error: Invalid age\nEnter a positive number: ");
      age = Integer.parseInt(cin.nextLine());
    }
  
    return age;
  }
  
  static int find_max(int[] a) {
    int i, maximum, max_i;
    
    maximum = a[0];
    max_i = 0;
    for (i = 1; i <= PEOPLE - 1; i++) {
      if (a[i] > maximum) {
        maximum = a[i];
        max_i = i;
      }
    }
    return max_i;
  }
  
  public static void main(String[] args) {
    int i, index_of_max;
   
    String[] first_names = new String[PEOPLE];
    String[] last_names = new String[PEOPLE];
    int[] ages = new int[PEOPLE];
    for (i = 0; i <= PEOPLE - 1; i++) {
      System.out.print("Enter first name of person No " + (i + 1) + ": ");
      first_names[i] = cin.nextLine();
      System.out.print("Enter last name of person No " + (i + 1) + ": ");
      last_names[i] = cin.nextLine();
      ages[i] = get_age();
    }
    
    index_of_max = find_max(ages);
  
    System.out.println("The oldest person is:");
    System.out.println(first_names[index_of_max] + last_names[index_of_max]);
    System.out.println("He or she is " + ages[index_of_max] + " years old!");
  }
  
}
