package chapter38;

import java.util.*;

public class Class_38_2_3 {

  static Scanner cin = new Scanner(System.in);

  static int get_consumption() {
    int consumption ;
  
    System.out.print("Enter kWh consumed: ");
    consumption = Integer.parseInt(cin.nextLine());
    while (consumption < 0) {
      System.out.println("Error: Invalid number!");
      System.out.print("Enter a non-negative number: ");
      consumption = Integer.parseInt(cin.nextLine());
    }
    return consumption;
  }
  
  static double find_amount(int kwh) {
    double amount;
    
    if (kwh <= 400) {
      amount = kwh * 0.08;
    }
    else if (kwh <= 1500) {
      amount = 400 * 0.08 + (kwh - 400) * 0.22;
    }
    else if (kwh <= 2000) {
      amount = 400 * 0.08 + 1100 * 0.22 + (kwh - 1500) * 0.35;
    }
    else {
      amount = 400 * 0.08 + 1100 * 0.22 + 500 * 0.35 + (kwh - 2000) * 0.50;
    }
  
    amount += 0.26 * amount;
    return amount;
  }
  
  public static void main(String[] args) {
    int kwh;
    String answer;
  
    do {
      kwh = get_consumption();
      System.out.println("You need to pay: " + find_amount(kwh));
  
      System.out.print("Would you like to repeat? ");
      answer = cin.nextLine();
    } while (answer.toUpperCase().equals("YES"));
  }
  
}
