package chapter38;

public class Class_38_2_5 {

  static final int ELEMENTS = 100;
  
  static int dice() {
    return 1 + (int)(Math.random() * 5);
  }
  
  static int search_and_count(int x, int[] a) {
    int count = 0;
    int i;
    
    for (i = 0; i <= ELEMENTS - 1; i++) {
      if (a[i] == x) {
        count++;
      }
    }
    return count;
  }
  
  public static void main(String[] args) {
    int i, maximum, max_i;
  
    //Create array a of random integers between 1 and 6
    int[] a = new int[ELEMENTS];
    for (i = 0; i <= ELEMENTS - 1; i++) {
      a[i] = dice();
    }
  
    //Create array n and display how many times each of the six numbers appears in array a
    int[] n = new int[6];
    for (i = 0; i <= 5; i++) {
      n[i] = search_and_count(i + 1, a);
      System.out.println("Value " + (i + 1) + " appears " + n[i] + " times");
    }
    
    //Find maximum of array n
    maximum = n[0];
    max_i = 0;
    for (i = 1; i <= 5; i++) {
      if (n[i] > maximum) {
        maximum = n[i];
        max_i = i;
      }
    }
    
    //Display which number appears in the array most often.
    System.out.println("Value " + (max_i + 1) + " appears in the array " + maximum + " times.");
  }
  
}
